function changeBackupProtocol() {
	backup_protocol = document.getElementById('backup_protocol').value;
	switch (backup_protocol) {
	case "1":
		changeAccountType();
		break;
	case "2":
		changeAccountType();
		break;
	case "3":
		setAccountType("SCPserver");
		break;
	default:
		alert("This should never happen");
		break;
	}
}

function changeAccountType() {
	account_type = document.getElementById('account_type').value;
	switch (account_type) {
       	case "0":
               	setAccountType("None");
               	break;
       	case "1":
       	        setAccountType("SNMPv1");
       	        break;
       	case "2":
       	        setAccountType("SNMPv2");
       	        break;
       	case "3":
       	        setAccountType("SNMPv3");
      	        break;
       	case "4":
       		setAccountType("Telnet");
               	break;
       	case "5":
               	setAccountType("SSH");
               	break;
        default:
                alert("This should never happen");
                break;
       	}
}

function setAccountType(account_options) {
        switch (account_options) {
	case "None":
		document.getElementById('row_account_type').style.display = "";
		document.getElementById('row_snmp_username').style.display = "none";
		document.getElementById('row_snmp_password').style.display = "none";
		document.getElementById('row_snmp_writestring').style.display = "none";
		document.getElementById('row_snmp_auth_protocol').style.display = "none";
		document.getElementById('row_snmp_priv_passphrase').style.display = "none";
		document.getElementById('row_snmp_priv_protocol').style.display = "none";
		document.getElementById('row_snmp_context').style.display = "none";
		document.getElementById('row_snmp_port').style.display = "none";
		document.getElementById('row_snmp_timeout').style.display = "none";
		document.getElementById('row_snmp_retries').style.display = "none";
                document.getElementById('row_username').style.display = "none";
                document.getElementById('row_password').style.display = "none";
                document.getElementById('row_enablepw').style.display = "none";
                document.getElementById('row_private_key_path').style.display = "none";

		break;
        case "SNMPv1":
		document.getElementById('row_account_type').style.display = "";
                document.getElementById('row_snmp_username').style.display = "none";
                document.getElementById('row_snmp_password').style.display = "none";
                document.getElementById('row_snmp_writestring').style.display = "";
                document.getElementById('row_snmp_auth_protocol').style.display = "none";
                document.getElementById('row_snmp_priv_passphrase').style.display = "none";
                document.getElementById('row_snmp_priv_protocol').style.display = "none";
                document.getElementById('row_snmp_context').style.display = "none";
                document.getElementById('row_snmp_port').style.display = "";
                document.getElementById('row_snmp_timeout').style.display = "";
		document.getElementById('row_snmp_retries').style.display = "";
                document.getElementById('row_username').style.display = "none";
                document.getElementById('row_password').style.display = "none";
                document.getElementById('row_enablepw').style.display = "none";
                document.getElementById('row_private_key_path').style.display = "none";

                break;
        case "SNMPv2":
		document.getElementById('row_account_type').style.display = "";
                document.getElementById('row_snmp_username').style.display = "none";
                document.getElementById('row_snmp_password').style.display = "none";
                document.getElementById('row_snmp_writestring').style.display = "";
                document.getElementById('row_snmp_auth_protocol').style.display = "none";
                document.getElementById('row_snmp_priv_passphrase').style.display = "none";
                document.getElementById('row_snmp_priv_protocol').style.display = "none";
                document.getElementById('row_snmp_context').style.display = "none";
                document.getElementById('row_snmp_port').style.display = "";
                document.getElementById('row_snmp_timeout').style.display = "";
		document.getElementById('row_snmp_retries').style.display = "";
                document.getElementById('row_username').style.display = "none";
                document.getElementById('row_password').style.display = "none";
                document.getElementById('row_enablepw').style.display = "none";
                document.getElementById('row_private_key_path').style.display = "none";

                break;
	case "SNMPv3":
		document.getElementById('row_account_type').style.display = "";
                document.getElementById('row_snmp_username').style.display = "";
                document.getElementById('row_snmp_password').style.display = "";
                document.getElementById('row_snmp_writestring').style.display = "none";
                document.getElementById('row_snmp_auth_protocol').style.display = "";
                document.getElementById('row_snmp_priv_passphrase').style.display = "";
                document.getElementById('row_snmp_priv_protocol').style.display = "";
                document.getElementById('row_snmp_context').style.display = "";
                document.getElementById('row_snmp_port').style.display = "";
                document.getElementById('row_snmp_timeout').style.display = "";
		document.getElementById('row_snmp_retries').style.display = "";
                document.getElementById('row_username').style.display = "none";
                document.getElementById('row_password').style.display = "none";
                document.getElementById('row_enablepw').style.display = "none";
                document.getElementById('row_private_key_path').style.display = "none";

                break;
	case "Telnet":
		document.getElementById('row_account_type').style.display = "";
                document.getElementById('row_snmp_username').style.display = "none";
                document.getElementById('row_snmp_password').style.display = "none";
                document.getElementById('row_snmp_writestring').style.display = "none";
                document.getElementById('row_snmp_auth_protocol').style.display = "none";
                document.getElementById('row_snmp_priv_passphrase').style.display = "none";
                document.getElementById('row_snmp_priv_protocol').style.display = "none";
                document.getElementById('row_snmp_context').style.display = "none";
                document.getElementById('row_snmp_port').style.display = "none";
                document.getElementById('row_snmp_timeout').style.display = "none";
		document.getElementById('row_snmp_retries').style.display = "none";
                document.getElementById('row_username').style.display = "";
                document.getElementById('row_password').style.display = "";
                document.getElementById('row_enablepw').style.display = "";
                document.getElementById('row_private_key_path').style.display = "none";

                break;
	case "SSH":
		document.getElementById('row_account_type').style.display = "";
                document.getElementById('row_snmp_username').style.display = "none";
                document.getElementById('row_snmp_password').style.display = "none";
                document.getElementById('row_snmp_writestring').style.display = "none";
                document.getElementById('row_snmp_auth_protocol').style.display = "none";
                document.getElementById('row_snmp_priv_passphrase').style.display = "none";
                document.getElementById('row_snmp_priv_protocol').style.display = "none";
                document.getElementById('row_snmp_context').style.display = "none";
                document.getElementById('row_snmp_port').style.display = "none";
                document.getElementById('row_snmp_timeout').style.display = "none";
		document.getElementById('row_snmp_retries').style.display = "none";
                document.getElementById('row_username').style.display = "";
                document.getElementById('row_password').style.display = "";
                document.getElementById('row_enablepw').style.display = "";
                document.getElementById('row_private_key_path').style.display = "";

                break;
        case "SCPserver":
		document.getElementById('row_account_type').style.display = "none";
                document.getElementById('row_snmp_username').style.display = "none";
                document.getElementById('row_snmp_password').style.display = "none";
                document.getElementById('row_snmp_writestring').style.display = "none";
                document.getElementById('row_snmp_auth_protocol').style.display = "none";
                document.getElementById('row_snmp_priv_passphrase').style.display = "none";
                document.getElementById('row_snmp_priv_protocol').style.display = "none";
                document.getElementById('row_snmp_context').style.display = "none";
                document.getElementById('row_snmp_port').style.display = "none";
                document.getElementById('row_snmp_timeout').style.display = "none";
                document.getElementById('row_snmp_retries').style.display = "none";
                document.getElementById('row_username').style.display = "";
                document.getElementById('row_password').style.display = "";
                document.getElementById('row_enablepw').style.display = "none";
                document.getElementById('row_private_key_path').style.display = "none";

                break;
        default:
                alert("This should never happen");
                break;
	}
}

function addLoadEvent(func) {
	var oldonload = window.onload;
	if (typeof window.onload != 'function') {
		window.onload = func;
	} else {
		window.onload = function() {
			if (oldonload) {
				oldonload();
			}
			func();
		}
	}
}

addLoadEvent(changeBackupProtocol);
